Bug 219457 - CONFIG_NR_CPUS is insanely high for fedora
CONFIG_NR_CPUS is insanely high for fedora
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-12-13 05:01 EST by Arjan van de Ven
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-18 22:40:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2006-12-13 05:01:21 EST
Description of problem:

The Fedora kernel has CONFIG_NR_CPUS set to 255, which is insanely high.
First of all, no systems exist that can have that many processors or cores (you
run out of apics well before that).
Second, even if they would exist they'd probably not run fedora. (and would cost
a milion bucks or more:0

The downsides are a massive waste of memory; for example just the irq_desc array
alone (in 2.6.19) is more than 2 megabytes just because of this, and a lot of
other things in memory scale likewise with CONFIG_NR_CPUS.

I would suggest a value of no larger than 64 (that also means that cpu bitmasks
fit in a long) for this value ... it wastes a lot less memory and generates a
lot better code in all the cpu mask operations..
Comment 1 Dave Jones 2006-12-18 22:40:03 EST
fixed in update.

Note You need to log in before you can comment on or make changes to this bug.